Subject: Missing time
From: Sam Maffei <[email-masked]>
To: [email-masked]
Date: Thu, 24 Oct 2024 21:20:47 -0400

To whom it may concern,

I ordered one of your products thru Amazon, according to their website the package was supposedly delivered to an Amazon locker near where I live. Somehow the package is sitting in Thornburg, pa. That is not my address and the item I ordered is sitting somewhere in a different location than it should be at the Amazon Locker in West mifflin, pa. If someone can please contact me regarding the item I purchased I would like to why it said it was “delivered” when it clearly has not. And that being the case I would like a refund. Thank you.

Samantha Maffei
Contact Number 412-377-9394

Sent from my iPhone